remove type command

The posix equivalent of the type command is "command -v", so now we use
that. Thanks to Jonathan Callen <jcallen@gentoo.org> for informing me
wrt the fix.
This commit is contained in:
William Hubbs 2013-12-01 19:25:01 -06:00
parent 1fccf91df1
commit 60d288a877
11 changed files with 12 additions and 12 deletions

View File

@ -53,7 +53,7 @@ start_pre()
eend $?
fi
else
if type kldload >/dev/null 2>&1; then
if command -v kldload >/dev/null 2>&1; then
# Hammer the modules home by default
sysctl -a | grep -q '\.tun\.' || kldload if_tun
sysctl -a | grep -q '\.tap\.' || kldload if_tap

View File

@ -68,7 +68,7 @@ cleanup_var_run_dir()
do
# Clean stale sockets
if [ -S "$x" ]; then
if type fuser >/dev/null 2>&1; then
if command -v fuser >/dev/null 2>&1; then
fuser "$x" >/dev/null 2>&1 || rm -- "$x"
else
rm -- "$x"

View File

@ -40,7 +40,7 @@ reset()
{
local uuid= x="[0-9a-f]" y="$x$x$x$x"
if type kenv >/dev/null 2>&1; then
if command -v kenv >/dev/null 2>&1; then
uuid=$(kenv smbios.system.uuid 2>/dev/null)
fi
case "$uuid" in

View File

@ -19,7 +19,7 @@ start()
[ -x "$file" ] && "$file"
done
if type local_start >/dev/null 2>&1; then
if command -v local_start >/dev/null 2>&1; then
ewarn "@SYSCONFDIR@/conf.d/local should be removed."
ewarn "Please move the code from the local_start function"
ewarn "to scripts with an .start extension"
@ -39,7 +39,7 @@ stop()
[ -x "$file" ] && "$file"
done
if type local_start >/dev/null 2>&1; then
if command -v local_stop >/dev/null 2>&1; then
ewarn "@SYSCONFDIR@/conf.d/local should be removed."
ewarn "Please move the code from the local_stop function"
ewarn "to scripts with an .stop extension"

View File

@ -13,7 +13,7 @@ start()
{
if [ "$RC_UNAME" = Linux ]; then
ebegin "Bringing up network interface lo"
if type ip > /dev/null 2>&1; then
if command -v ip > /dev/null 2>&1; then
ip addr add 127.0.0.1/8 dev lo brd + scope host
ip route add 127.0.0.0/8 dev lo scope host
ip link set lo up

View File

@ -17,7 +17,7 @@ depend() {
start()
{
ebegin "Starting $name"
if type kldload >/dev/null 2>&1; then
if command -v kldload >/dev/null 2>&1; then
kldload pf 2>/dev/null
fi
pfctl -q -F all

View File

@ -19,7 +19,7 @@ elif [ -f /proc/pmu/info ]; then
"AC Power"*": 0") exit 128;;
esac
done
elif type envstat >/dev/null 2>&1; then
elif command -v envstat >/dev/null 2>&1; then
# NetBSD has envstat
envstat -d acpiacad0 2>/dev/null | while read line; do
case "$line" in

View File

@ -31,7 +31,7 @@ if service_present "$RC_DEFAULTLEVEL" consolefont ||
service_present "$RC_BOOTLEVEL" consolefont; then
printf "\033%s" "$termencoding" >"$CONSOLE" 2>/dev/null
if [ -r "$RC_LIBEXECDIR"/console/font ] && \
type setfont > /dev/null 2>&1; then
command -v setfont > /dev/null 2>&1; then
[ -c "$CONSOLE" ] && cons="-C $CONSOLE"
setfont $cons "$RC_LIBEXECDIR"/console/font 2>/dev/null
fi

View File

@ -40,7 +40,7 @@ do_unmount()
retry=4 # Effectively TERM, sleep 1, TERM, sleep 1, KILL, sleep 1
while ! LC_ALL=C $cmd "$mnt" 2>/dev/null; do
if type fuser >/dev/null 2>&1; then
if command -v fuser >/dev/null 2>&1; then
pids="$(timeout -k 10 -s KILL "${rc_fuser_timeout:-60}" \
fuser $f_opts "$mnt" 2>/dev/null)"
fi

View File

@ -6,7 +6,7 @@
[ -x "${RC_SVCNAME}"-down.sh ] && "${RC_SVCNAME}"-down.sh
# Restore resolv.conf to how it was
if type resolvconf >/dev/null 2>&1; then
if command -v resolvconf >/dev/null 2>&1; then
resolvconf -d "${dev}"
elif [ -e /etc/resolv.conf-"${dev}".sv ]; then
# Important that we copy instead of move incase resolv.conf is

View File

@ -45,7 +45,7 @@ if [ -n "${NS}" ]; then
DNS="${DNS}domain ${DOMAIN}\n"
fi
DNS="${DNS}${NS}"
if type resolvconf >/dev/null 2>&1; then
if command -v resolvconf >/dev/null 2>&1; then
printf "${DNS}" | resolvconf -a "${dev}"
else
# Preserve the existing resolv.conf